package com.ssj.service.kmt.correctsys.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;

/**
 * @author Mount Liu
 * @date 2019/5/20
 */
public class TeacherHomeworkReq extends BaseRequest {

    private final static long serialVersionUID = 1L;

    @ApiModelProperty(name = "pageNo", value = "页码", required = true)
    private int pageNo;
    @ApiModelProperty(name = "pageSize", value = "每页条数", required = true)
    private int pageSize;
    @ApiModelProperty(name = "maxCreateTime", value = "最大时间,格式(yyyy-MM-dd HH:mm:ss)", required = true)
    private String maxCreateTime;
    @ApiModelProperty(name = "teacherId", value = "老师id", required = true)
    private String teacherId;
    @ApiModelProperty(name = "selectTime", value = "时间(0:全部，1：今天，2：前一天，3：前2天，4：前3天，5：前4天，6：前5天，7：前6天)", required = true)
    private int selectTime;

    public int getSelectTime() {
        return selectTime;
    }

    public void setSelectTime(int selectTime) {
        this.selectTime = selectTime;
    }

    public int getPageNo() {
        return pageNo;
    }

    public void setPageNo(int pageNo) {
        this.pageNo = pageNo;
    }

    public int getPageSize() {
        return pageSize;
    }

    public void setPageSize(int pageSize) {
        this.pageSize = pageSize;
    }

    public String getMaxCreateTime() {
        return maxCreateTime;
    }

    public void setMaxCreateTime(String maxCreateTime) {
        this.maxCreateTime = maxCreateTime;
    }

    public String getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(String teacherId) {
        this.teacherId = teacherId;
    }
}
